Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 5533)
+++ trunk/expressoMail1_2/js/main.js	(revision 5575)
@@ -322,5 +322,4 @@
 
 function show_msg_img(msg_number,folder){
-alert(msg_number+folder);
 	var call_back = function(data){
 	   data.showImg = true;
Index: trunk/expressoMail1_2/js/search.js
===================================================================
--- trunk/expressoMail1_2/js/search.js	(revision 5564)
+++ trunk/expressoMail1_2/js/search.js	(revision 5575)
@@ -556,5 +556,5 @@
 						};
 						$('#td_message_followup_' + messageClickedId + ', ' + 
-						'#td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", aux.followupflagged.backgroundColor);						
+						'#td_message_followup_search_' + messageClickedId+':first').find(".flag-edited").css("background", aux.followupflagged.backgroundColor);						
 						aux.followupflagged.id = DataLayer.put('followupflagged', aux.followupflagged);
 						
@@ -568,7 +568,7 @@
 						DataLayer.remove('followupflagged', flagged[0].id);
 						$('#td_message_followup_' + messageClickedId + ', ' + 
-						  '#td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC');
+						  '#td_message_followup_search_' + messageClickedId+':first').find(".flag-edited").css("background", '#CCC');
 						$('#td_message_followup_' + messageClickedId + ', ' + 
-							'#td_message_followup_search_' + messageClickedId).find(".flag-edited")
+							'#td_message_followup_search_' + messageClickedId+':first').find(".flag-edited")
 							.find("img").attr("src", "../prototype/modules/mail/img/flagEditor.png").css("margin-left","0");
 					} else {
@@ -805,4 +805,6 @@
 		}
 		
+
+
 	
 		var cont = parseInt(0);
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5571)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5575)
@@ -220,5 +220,5 @@
 			}
 
-		/* tree_folders.draw(Element('content_folders'));
+		tree_folders.draw(Element('content_folders'));
 		if (!expresso_offline) {
 			n_root.changeState();
@@ -228,5 +228,5 @@
 			root_local.changeState();
 			tree_folders.getNodeById('local_Inbox')._select();
-		} */
+		}
 		
 		var trash_span = document.getElementById(mount_url_folder(["lINBOX",special_folders["Trash"]])  + 'tree_folders'); 
@@ -346,5 +346,5 @@
 	myLabels.html("<div class='my-labels'>" +
 				"<img src='../prototype/modules/mail/img/tag.png'/>" +
-				"<a class='title-my-labels' tabindex='0' role='button' aria-expanded='false' title='"+get_lang("My Labels")+"'>"+get_lang("My Labels")+"</a>" +
+				"<a class='title-my-labels' tabindex='0' role='button' aria-expanded='false' title='"+get_lang("My Label")+"'>"+get_lang("My Label")+"</a>" +
 				
 				"<span class='status-list-labels ui-icon ui-icon-triangle-1-s'></span>" +
@@ -355,5 +355,5 @@
 		var labelId = $(this).parents("li").attr('class').match(/label-item-([\d]+[()a-zA-Z]*)/)[1];
 		search_emails("UNDELETED KEYWORD \"$Label"+labelId+"\"");
-	}).end()
+	})
 	.find(".square-color").css("display","").click(function(){
 		$(this).parent(".label-item").each(function(){
@@ -1691,5 +1691,5 @@
 				};
 				$('#td_message_followup_' + messageClickedId + ', ' + 
-				'#td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor);
+				'#td_message_followup_search_' + messageClickedId+':first').find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor);
 				//$(this).find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor);
 				headers_msgs.followupflagged.id = DataLayer.put('followupflagged', headers_msgs.followupflagged);
@@ -1703,7 +1703,7 @@
 				DataLayer.remove('followupflagged', flagged[0].id);
 				$('#td_message_followup_' + messageClickedId + ', ' + 
-				  '#td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", '#CCC');
+				  '#td_message_followup_search_' + messageClickedId + ':first').find(".flag-edited").css("background", '#CCC');
 				$('#td_message_followup_' + messageClickedId + ', ' + 
-					'#td_message_followup_search_' + messageClickedId).find(".flag-edited")
+					'#td_message_followup_search_' + messageClickedId+':first').find(".flag-edited")
 					.find("img").attr("src", "../prototype/modules/mail/img/flagEditor.png").css("margin-left","0");
 			} else {
Index: trunk/expressoMail1_2/js/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/doiMenuData.js	(revision 5574)
+++ trunk/expressoMail1_2/js/doiMenuData.js	(revision 5575)
@@ -167,5 +167,5 @@
 		msg_number = messageInfo.uid;
 	}
-	$('#td_message_labels_' + msg_number +', #td_message_labels_search_' + msg_number)
+	$('#td_message_labels_' + msg_number +', #td_message_labels_search_' + msg_number+':first')
 	.html('<img src="../prototype/modules/mail/img/tag.png">');
 	
@@ -196,8 +196,8 @@
 	}
 
-	$.contextMenu( 'destroy', '#td_message_labels_' + msg_number +', #td_message_labels_search_' + msg_number);
+	$.contextMenu( 'destroy', '#td_message_labels_' + msg_number +', #td_message_labels_search_' + msg_number+':first');
 
 	$.contextMenu({
-		selector: '#td_message_labels_' + msg_number +', #td_message_labels_search_' + msg_number,
+		selector: '#td_message_labels_' + msg_number +', #td_message_labels_search_' + msg_number + ':first',
 		trigger: 'hover',
 		delay:100,