Index: /trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 5220)
+++ /trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 5593)
@@ -132,5 +132,5 @@
 			{
 				// limit query to limit characters
-				if(eregi('^[a-z_0-9_-].+$',$_POST['query'])) 
+				if(preg_match('/^[a-z_0-9_-].+$/i',$_POST['query'])) 
 				{
 					$GLOBALS['query'] = $_POST['query'];
Index: /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 5509)
+++ /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 5593)
@@ -55,5 +55,5 @@
 	}
 	
-                $all_contexts = split("%", $context);
+                $all_contexts = preg_split('/%/', $context);
                 foreach ($all_contexts as $index=>$context)
                 {
Index: /trunk/expressoAdmin1_2/inc/class.user.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 5133)
+++ /trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 5593)
@@ -1072,5 +1072,5 @@
 				$sk = fsockopen ($imap_server,$imap_port);
 				$server_resp = fread($sk, 100);
-        		$tmp = split('v2.', $server_resp);
+        		$tmp = preg_split('/v2./', $server_resp);
 	        	$cyrus_version = '2' . $tmp[1][0];
 			
Index: /trunk/expressoAdmin1_2/inc/class.uicomputers.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uicomputers.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.uicomputers.inc.php	(revision 5593)
@@ -67,5 +67,5 @@
 			{
 				// limit query to limit characters
-				if(eregi('^[a-z_0-9_-].+$',$_POST['query'])) 
+				if(preg_match('/^[a-z_0-9_-].+$/i',$_POST['query'])) 
 				{
 					$GLOBALS['query'] = $_POST['query'];
Index: /trunk/expressoAdmin1_2/inc/class.bomessages_size.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.bomessages_size.inc.php	(revision 5144)
+++ /trunk/expressoAdmin1_2/inc/class.bomessages_size.inc.php	(revision 5593)
@@ -78,5 +78,5 @@
 			}
 			/* Verifica se esse valor é um número */
-			if((!eregi("^[0-9]+$", $params['max_messages_size'])))
+			if((!preg_match("/^[0-9]+$/i", $params['max_messages_size'])))
 			{
 				$result['status'] = false;
@@ -178,5 +178,5 @@
 			}
 			/* Verifica se esse valor é um número */
-			if((!eregi("^[0-9]+$", $params['max_messages_size'])))
+			if((!preg_match('/^[0-9]+$/i', $params['max_messages_size'])))
 			{
 				$result['status'] = false;
Index: /trunk/expressoAdmin1_2/inc/sieve-php.lib.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/sieve-php.lib.php	(revision 506)
+++ /trunk/expressoAdmin1_2/inc/sieve-php.lib.php	(revision 5593)
@@ -121,5 +121,5 @@
 
     $this->line=fgets($this->fp,1024);
-    $this->token = split(" ", $this->line, 2);
+    $this->token = preg_split('/ /', $this->line, 2);
 
     if($this->token[0] == "NO"){
@@ -127,5 +127,5 @@
            NO ("yyyyy") "zzzzzzz" or, two, NO {yyyyy} "zzzzzzzzzzz" */
         $this->x = 0;
-        list($this->ltoken, $this->mtoken, $this->rtoken) = split(" ", $this->line." ", 3);
+        list($this->ltoken, $this->mtoken, $this->rtoken) = preg_split('/ /', $this->line." ", 3);
         if($this->mtoken[0] == "{"){
             while($this->mtoken[$this->x] != "}" or $this->err_len < 1){
@@ -372,5 +372,5 @@
     //So, if we see IMLEMENTATION in the first line, then we are done.
 
-    if(ereg("IMPLEMENTATION",$this->line))
+    if(preg_match('/IMPLEMENTATION/',$this->line))
     {
       //we're on the Cyrus V2 sieve server
@@ -389,5 +389,5 @@
                   $this->cap_type="auth";            
 
-              $this->modules = split(" ", $this->item[1]);
+              $this->modules = preg_split('/ /', $this->item[1]);
               if(is_array($this->modules)){
                   foreach($this->modules as $this->module)
@@ -422,5 +422,5 @@
 
         //then split again at the ", " stuff.
-        $this->modules = split($this->modules, ", ");
+        $this->modules = preg_split("/$this->modules/", ', ');
  
         //fill up our $this->modules property
@@ -767,5 +767,5 @@
     //So, if we see IMLEMENTATION in the first line, then we are done.
 
-    if(ereg("IMPLEMENTATION",$this->line))
+    if(preg_match('/IMPLEMENTATION/',$this->line))
     {
       //we're on the Cyrus V2 sieve server
@@ -784,5 +784,5 @@
                   $this->cap_type="auth";            
 
-              $this->modules = split(" ", $this->item[1]);
+              $this->modules = preg_split('/ /', $this->item[1]);
               if(is_array($this->modules)){
                   foreach($this->modules as $this->module)
@@ -814,5 +814,5 @@
 
         //then split again at the ", " stuff.
-        $this->modules = split($this->modules, ", ");
+        $this->modules = preg_split("/$this->modules/", ', ');
  
         //fill up our $this->modules property
Index: /trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php	(revision 5133)
+++ /trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php	(revision 5593)
@@ -102,5 +102,5 @@
 				{
 					$managers_context = "";
-					$a_managers_context = split("%", $array_managers['context']);
+					$a_managers_context = preg_split('/%/', $array_managers['context']);
 
 					foreach ($a_managers_context as $context)
@@ -156,5 +156,5 @@
 			if ($_POST['context'])
 			{
-				$contexts = split("%", $_POST['context']);
+				$contexts = preg_split('/%/', $_POST['context']);
 				foreach ($contexts as $manager_context)
 					$input_context_fields .= "<input type='text' size=60 value=$manager_context></input><br>";
@@ -292,5 +292,5 @@
 			$applications_list = $this->make_app_list($manager[0]['apps']);
 
-			$a_context = split("%", $_POST['context']);
+			$a_context = preg_split('/%/', $_POST['context']);
 			foreach ($a_context as $context)
 				$input_context_fields .= '<div><input disabled type="text" value="'.$context.'" size=60></input><span onclick="this.parentNode.parentNode.removeChild(this.parentNode);" style="cursor:pointer"> -</span></div>';
@@ -346,5 +346,5 @@
 		function make_lang($ram_lang)
 		{
-			$a_lang = split("_", $ram_lang);
+			$a_lang = preg_split('/_/', $ram_lang);
 			$a_lang_reverse  = array_reverse ( $a_lang, true );
 			//Retira o lang do array.
Index: /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 5133)
+++ /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 5593)
@@ -64,5 +64,5 @@
 			{
 				// limit query to limit characters
-				if(eregi('^[a-z_0-9_%-].+$',$_POST['query'])) 
+				if(preg_match('/^[a-z_0-9_%-].+$/i',$_POST['query'])) 
 					$GLOBALS['query'] = $_POST['query'];
 			}
Index: /trunk/expressoAdmin1_2/inc/class.uilogs.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uilogs.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.uilogs.inc.php	(revision 5593)
@@ -125,9 +125,9 @@
 					
 					//Date treatment
-					$a_date = split(" ", $log['date']);
-					$a_day = split("-", $a_date[0]);
+					$a_date = preg_split('/ /', $log['date']);
+					$a_day = preg_split('/-/', $a_date[0]);
 					$a_day_tmp = array_reverse($a_day);
 					$a_day = join($a_day_tmp, "/");
-					$a_hour = split("\.", $a_date[1]);
+					$a_hour = preg_split('/\./', $a_date[1]);
 					
 					$var = array(
Index: /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 5133)
+++ /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 5593)
@@ -68,5 +68,5 @@
 			{
 				// limit query to limit characters
-				if(eregi('^[a-z_0-9_-].+$',$_POST['query'])) 
+				if(preg_match('/^[a-z_0-9_-].+$/i',$_POST['query'])) 
 					$GLOBALS['query'] = $_POST['query'];
 			}
Index: /trunk/expressoAdmin1_2/inc/class.functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 5133)
+++ /trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 5593)
@@ -512,5 +512,5 @@
 				$array_dn = ldap_explode_dn($context, 1 );
 				foreach($array_dn as $key=>$value){
-					$array_dn[$key]=preg_replace("/\\\([0-9A-Fa-f]{2})/e", "''.chr(hexdec('\\1')).''",$value);
+					$array_dn[$key]=preg_replace('/\\\([0-9A-Fa-f]{2})/e', "''.chr(hexdec('\\1')).''",$value);
 				}	
 
@@ -725,5 +725,5 @@
 
 			/* formato do CPF */
-			if (!(ereg("^[0-9]{3}[.][0-9]{3}[.][0-9]{3}[-][0-9]{2}$",$cpf)))
+			if (!(preg_match('/^[0-9]{3}[.][0-9]{3}[.][0-9]{3}[-][0-9]{2}$/',$cpf)))
 				return false;
 
@@ -732,5 +732,5 @@
 
 			/*Retorna falso se houver letras no cpf */
-			if (!(ereg("[0-9]",$cpf)))
+			if (!(preg_match('/[0-9]/',$cpf)))
     			return false;
 
@@ -772,5 +772,5 @@
 		function make_lang($ram_lang)
 		{
-			$a_lang = split("_", $ram_lang);
+			$a_lang = preg_split('/_/', $ram_lang);
 			$a_lang_reverse  = array_reverse ( $a_lang, true );
 			array_pop ( $a_lang_reverse );
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 5509)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 5593)
@@ -131,5 +131,5 @@
 		}
 
-		if (! eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$", $params['mail']) )
+		if (! preg_match('/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$/i', $params['mail']) )
 		{
 			$result['status'] = false;
@@ -235,5 +235,5 @@
 		}
 
-		if (! eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$", $params['mail']) )
+		if (! preg_match('/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$/i', $params['mail']) )
 		{
 			$result['status'] = false;
@@ -338,5 +338,5 @@
 		}
 
-		if (! eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$", $params['mail']) )
+		if (! preg_match('/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$/i', $params['mail']) )
 		{
 			$result['status'] = false;
@@ -461,5 +461,5 @@
 			}
 	
-			if (! eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$", $params['mail']) )
+			if (! preg_match('/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$/i', $params['mail']) )
 			{
 				$result['status'] = false;
@@ -656,5 +656,5 @@
 			{
 				//Obtenho UID sem a organização. Na criação o uid já vem sem a organização
-				$tmp_uid_without_org = split("-", $params['uid']);
+				$tmp_uid_without_org = preg_split('/-/', $params['uid']);
 				$tmp_reverse_uid_without_org = array_reverse($tmp_uid_without_org);
 				array_pop($tmp_reverse_uid_without_org);
@@ -671,5 +671,5 @@
 			{
 				//Obtenho UID sem a organização. Na criação o uid já vem sem a organização
-				$tmp_uid_without_org = split("-", $params['uid']);
+				$tmp_uid_without_org = preg_split('/-/', $params['uid']);
 				$tmp_reverse_uid_without_org = array_reverse($tmp_uid_without_org);
 				array_pop($tmp_reverse_uid_without_org);
@@ -724,5 +724,5 @@
 				//Obtenho UID sem a organização
 				/*
-				$tmp_uid_without_org = split("-", $params['uid']);
+				$tmp_uid_without_org = preg_split('/-/', $params['uid']);
 				if (count($tmp_uid_without_org) < 2)
 				{
@@ -2666,5 +2666,5 @@
 		else
 		{
-			$tmp_user_context = split(",", utf8_decode($entrie[0]['dn']));
+			$tmp_user_context = preg_split('/,/', utf8_decode($entrie[0]['dn']));
 			$tmp_reverse_user_context = array_reverse($tmp_user_context);
 			array_pop($tmp_reverse_user_context);
@@ -2760,5 +2760,5 @@
 		else
 		{
-			$tmp_user_context = split(",", $entrie[0]['dn']);
+			$tmp_user_context = preg_split('/,/', $entrie[0]['dn']);
 			$tmp_reverse_user_context = array_reverse($tmp_user_context);
 			array_pop($tmp_reverse_user_context);
Index: /trunk/expressoAdmin1_2/inc/class.manager.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.manager.inc.php	(revision 5133)
+++ /trunk/expressoAdmin1_2/inc/class.manager.inc.php	(revision 5593)
@@ -74,5 +74,5 @@
 			$return['status'] = 'true';
 			
-			$contexts = split("%", $params['contexts']);
+			$contexts = preg_split('/%/', $params['contexts']);
 			$manager_lid = $params['manager_lid'];
 			$type = $params['type'];